import { RequestMethod } from '@nestjs/common';
import { RouteInfo } from '@nestjs/common/interfaces';

export class RouteExclusions {
  static auth(): RouteInfo[] {
    return [
      {
        path: 'admin/auth/login',
        method: RequestMethod.POST,
      },
      {
        path: 'admin/auth/forgot-password',
        method: RequestMethod.POST,
      },
    ];
  }

  static author(): RouteInfo[] {
    return [
      ...this.auth(),
      // {
      //   path: 'admin/auth/change-password',
      //   method: RequestMethod.POST,
      // },
      // {
      //   path: 'admin/auth/logout',
      //   method: RequestMethod.POST,
      // },
      // {
      //   path: 'admin/auth/me',
      //   method: RequestMethod.GET,
      // },
    ];
  }

  static all(): RouteInfo[] {
    // dùng khi muốn exclude cả auth + author
    return [...this.author()];
  }
}
